#include <iostream>
#include <vector>
using namespace std;
int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    int N;
    vector<char> V;
    cin >> N;
    for(int i = 0; i < N; i++){
        char C;
        cin >> C;
        V.push_back(C);
    }
    if(N < 26) cout << 0;
    else if(N == 26){
        char p = V[0];
        for(int i = 1; i < 26; i++){
            if(V[i] <= p){
                cout << 0;
                return 0;
            }
            p = V[i];
        }
        cout << 1;
    }
    else if(N == 27){
        int a = 0;
        for(int i = 0; i < V.size(); i++){
            for(int j = 0; j < V.size(); j++){
                if(V[i] == V[j]){
                    a++;
                    V.erase(V.begin() + j);
                }
                if(a > 1){
                    cout << 0;
                    return 0;
                }
            }
        }
        char p = V[0];
        for(int i = 1; i < 26; i++){
            if(V[i] <= p){
                cout << 0;
                return 0;
            }
            p = V[i];
        }
        cout << 1;
    }
    else{
        int B = N - 26;
        int i = 0;
        while(V[i] != 'A'){
            V.erase(V.begin() + i);
            B--;
            i++;
        }
        if(B < 0){
            cout << 0;
            return 0;
        }
        i = N - 1;
        while(V[i] != 'Z'){
            V.erase(V.begin() + i);
            B--;
            i--;
        }
        if(B < 0){
            cout << 0;
            return 0;
        }
    }
    return 0;
}